RESTinio

Public Types | List of all members
restinio::details::actual_request_handler_type_detector< autodetect_request_handler_type, Extra_Data_Factory > Struct Template Reference

Special version of metafunction actual_request_handler_type_detector for the case of autodetect_request_handler_type. More...

`#include <traits.hpp>`

## Public Types
using | request_handler_t = std::function< request_handling_status_t(generic_request_handle_t< typename Extra_Data_Factory::data_t >) >

## Detailed Description

template<typename Extra_Data_Factory>
struct restinio::details::actual_request_handler_type_detector< autodetect_request_handler_type, Extra_Data_Factory >

Special version of metafunction actual_request_handler_type_detector for the case of autodetect_request_handler_type.

Since
  v.0.6.13

Definition at line 125 of file traits.hpp.

## Member Typedef Documentation

## ◆ request_handler_t

template<typename Extra_Data_Factory >

using restinio::details::actual_request_handler_type_detector< autodetect_request_handler_type, Extra_Data_Factory >::request_handler_t = std::function< request_handling_status_t( generic_request_handle_t<typename Extra_Data_Factory::data_t>) >

Definition at line 129 of file traits.hpp.

The documentation for this struct was generated from the following file:

- restinio/traits.hpp